package com.nantian.cloud.jly.entity;


import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 能源计量器具配备情况统计汇总表B.8
 *
 * @date 2020-09-14 12:01:57
 */
@TableName("check_gauges_report")
@ApiModel(value = "能源计量器具配备情况统计汇总表B.8")
public class CheckGaugesReport implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	@TableId
	private Long id;
	/**
	 * 审查计划ID
	 */
	private Long checkPlanId;
	/**
	 * 企业社会信用代码
	 */
	@ApiModelProperty(value = "企业社会信用代码")
	private String epc;
	/**
	 * 序号
	 */
	@ApiModelProperty(value = "序号")
	private Integer num;
	/**
	 * 用户id
	 */
	@ApiModelProperty(value = "用户id")
	private Integer userid;
	/**
	 * 更新时间
	 */
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;
	/**
	 * 注销状态（1：未删除，4：已删除）
	 */
	@ApiModelProperty(value = "注销状态")
	private String delFlag;
	/**
	 * 部门id
	 */
	@ApiModelProperty(value = "部门id")
	private Integer deptId;
	/**
	 * 分级、分项
	 */
	@ApiModelProperty(value = "分级、分项")
	private String item;
	/**
	 * 级或项的名称
	 */
	@ApiModelProperty(value = "级或项的名称")
	private String name;
	/**
	 * 衡器应配 数量（台）
	 */
	@TableField(strategy = FieldStrategy.IGNORED)
	@ApiModelProperty(value = "衡器应配 数量（台）")
	private Integer weighingApparatusShouldMatch;
	/**
	 * 衡器实配 数量（台）
	 */
	@TableField(strategy = FieldStrategy.IGNORED)
	@ApiModelProperty(value = "衡器实配 数量（台）")
	private Integer weighingApparatusRealMatch;
	/**
	 * 电能表应配 数量（台）
	 */
	@TableField(strategy = FieldStrategy.IGNORED)
	@ApiModelProperty(value = "电能表应配 数量（台）")
	private Integer electricShouldMatch;
	/**
	 * 电能表实配 数量（台）
	 */
	@TableField(strategy = FieldStrategy.IGNORED)
	@ApiModelProperty(value = "电能表实配 数量（台）")
	private Integer electricRealMatch;
	/**
	 * 油流量表（装置）实配 数量（台）
	 */
	@TableField(strategy = FieldStrategy.IGNORED)
	@ApiModelProperty(value = "油流量表（装置）实配 数量（台）")
	private Integer oilShouldMatch;
	/**
	 * 油流量表（装置）应配 数量（台）
	 */
	@TableField(strategy = FieldStrategy.IGNORED)
	@ApiModelProperty(value = "油流量表（装置）应配 数量（台）")
	private Integer oilRealMatch;
	/**
	 * 气体流量表（装置）实配 数量（台）
	 */
	@TableField(strategy = FieldStrategy.IGNORED)
	@ApiModelProperty(value = "气体流量表（装置）实配 数量（台）")
	private Integer gasShouldMatch;
	/**
	 * 气体流量表（装置）应配 数量（台）
	 */
	@TableField(strategy = FieldStrategy.IGNORED)
	@ApiModelProperty(value = "气体流量表（装置）应配 数量（台）")
	private Integer gasRealMatch;
	/**
	 * 水流量表（装置）实配 数量（台）
	 */
	@TableField(strategy = FieldStrategy.IGNORED)
	@ApiModelProperty(value = " 水流量表（装置）实配 数量（台）")
	private Integer waterShouldMatch;
	/**
	 * 水流量表（装置）应配 数量（台）
	 */
	@TableField(strategy = FieldStrategy.IGNORED)
	@ApiModelProperty(value = "水流量表（装置）应配 数量（台）")
	private Integer waterRealMatch;
	/**
	 * 温度仪表实配 数量（台）
	 */
	@TableField(strategy = FieldStrategy.IGNORED)
	@ApiModelProperty(value = "温度仪表实配 数量（台）")
	private Integer temperatureShouldMatch;
	/**
	 * 温度仪表应配 数量（台）
	 */
	@TableField(strategy = FieldStrategy.IGNORED)
	@ApiModelProperty(value = "温度仪表应配 数量（台）")
	private Integer temperatureRealMatch;
	/**
	 * 压力仪表实配 数量（台）
	 */
	@TableField(strategy = FieldStrategy.IGNORED)
	@ApiModelProperty(value = "压力仪表实配 数量（台）")
	private Integer pressureShouldMatch;
	/**
	 * 压力仪表应配 数量（台）
	 */
	@TableField(strategy = FieldStrategy.IGNORED)
	@ApiModelProperty(value = "压力仪表应配 数量（台）")
	private Integer pressureRealMatch;

	/**
	 * 设置：id
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * 获取：id
	 */
	public Long getId() {
		return id;
	}
	/**
	 * 设置：审查计划ID
	 */
	public void setCheckPlanId(Long checkPlanId) {
		this.checkPlanId = checkPlanId;
	}
	/**
	 * 获取：审查计划ID
	 */
	public Long getCheckPlanId() {
		return checkPlanId;
	}
	/**
	 * 设置：企业社会信用代码
	 */
	public void setEpc(String epc) {
		this.epc = epc;
	}
	/**
	 * 获取：企业社会信用代码
	 */
	public String getEpc() {
		return epc;
	}
	/**
	 * 设置：序号
	 */
	public void setNum(Integer num) {
		this.num = num;
	}
	/**
	 * 获取：序号
	 */
	public Integer getNum() {
		return num;
	}
	/**
	 * 设置：用户id
	 */
	public void setUserid(Integer userid) {
		this.userid = userid;
	}
	/**
	 * 获取：用户id
	 */
	public Integer getUserid() {
		return userid;
	}
	/**
	 * 设置：更新时间
	 */
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	/**
	 * 获取：更新时间
	 */
	public Date getUpdateTime() {
		return updateTime;
	}
	/**
	 * 设置：注销状态（1：未删除，4：已删除）
	 */
	public void setDelFlag(String delFlag) {
		this.delFlag = delFlag;
	}
	/**
	 * 获取：注销状态（1：未删除，4：已删除）
	 */
	public String getDelFlag() {
		return delFlag;
	}
	/**
	 * 设置：部门id
	 */
	public void setDeptId(Integer deptId) {
		this.deptId = deptId;
	}
	/**
	 * 获取：部门id
	 */
	public Integer getDeptId() {
		return deptId;
	}
	/**
	 * 设置：分级、分项
	 */
	public void setItem(String item) {
		this.item = item;
	}
	/**
	 * 获取：分级、分项
	 */
	public String getItem() {
		return item;
	}
	/**
	 * 设置：级或项的名称
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * 获取：级或项的名称
	 */
	public String getName() {
		return name;
	}
	/**
	 * 设置：衡器应配 数量（台）
	 */
	public void setWeighingApparatusShouldMatch(Integer weighingApparatusShouldMatch) {
		this.weighingApparatusShouldMatch = weighingApparatusShouldMatch;
	}
	/**
	 * 获取：衡器应配 数量（台）
	 */
	public Integer getWeighingApparatusShouldMatch() {
		return weighingApparatusShouldMatch;
	}

	/**
	 * 设置：电能表应配 数量（台）
	 */
	public void setElectricShouldMatch(Integer electricShouldMatch) {
		this.electricShouldMatch = electricShouldMatch;
	}
	/**
	 * 获取：电能表应配 数量（台）
	 */
	public Integer getElectricShouldMatch() {
		return electricShouldMatch;
	}
	/**
	 * 设置：电能表实配 数量（台）
	 */
	public void setElectricRealMatch(Integer electricRealMatch) {
		this.electricRealMatch = electricRealMatch;
	}
	/**
	 * 获取：电能表实配 数量（台）
	 */
	public Integer getElectricRealMatch() {
		return electricRealMatch;
	}
	/**
	 * 设置：油流量表（装置）实配 数量（台）
	 */
	public void setOilShouldMatch(Integer oilShouldMatch) {
		this.oilShouldMatch = oilShouldMatch;
	}
	/**
	 * 获取：油流量表（装置）实配 数量（台）
	 */
	public Integer getOilShouldMatch() {
		return oilShouldMatch;
	}
	/**
	 * 设置：油流量表（装置）应配 数量（台）
	 */
	public void setOilRealMatch(Integer oilRealMatch) {
		this.oilRealMatch = oilRealMatch;
	}
	/**
	 * 获取：油流量表（装置）应配 数量（台）
	 */
	public Integer getOilRealMatch() {
		return oilRealMatch;
	}
	/**
	 * 设置：气体流量表（装置）实配 数量（台）
	 */
	public void setGasShouldMatch(Integer gasShouldMatch) {
		this.gasShouldMatch = gasShouldMatch;
	}
	/**
	 * 获取：气体流量表（装置）实配 数量（台）
	 */
	public Integer getGasShouldMatch() {
		return gasShouldMatch;
	}
	/**
	 * 设置：气体流量表（装置）应配 数量（台）
	 */
	public void setGasRealMatch(Integer gasRealMatch) {
		this.gasRealMatch = gasRealMatch;
	}
	/**
	 * 获取：气体流量表（装置）应配 数量（台）
	 */
	public Integer getGasRealMatch() {
		return gasRealMatch;
	}
	/**
	 * 设置：水流量表（装置）实配 数量（台）
	 */
	public void setWaterShouldMatch(Integer waterShouldMatch) {
		this.waterShouldMatch = waterShouldMatch;
	}
	/**
	 * 获取：水流量表（装置）实配 数量（台）
	 */
	public Integer getWaterShouldMatch() {
		return waterShouldMatch;
	}
	/**
	 * 设置：水流量表（装置）应配 数量（台）
	 */
	public void setWaterRealMatch(Integer waterRealMatch) {
		this.waterRealMatch = waterRealMatch;
	}
	/**
	 * 获取：水流量表（装置）应配 数量（台）
	 */
	public Integer getWaterRealMatch() {
		return waterRealMatch;
	}
	/**
	 * 设置：温度仪表实配 数量（台）
	 */
	public void setTemperatureShouldMatch(Integer temperatureShouldMatch) {
		this.temperatureShouldMatch = temperatureShouldMatch;
	}
	/**
	 * 获取：温度仪表实配 数量（台）
	 */
	public Integer getTemperatureShouldMatch() {
		return temperatureShouldMatch;
	}
	/**
	 * 设置：温度仪表应配 数量（台）
	 */
	public void setTemperatureRealMatch(Integer temperatureRealMatch) {
		this.temperatureRealMatch = temperatureRealMatch;
	}
	/**
	 * 获取：温度仪表应配 数量（台）
	 */
	public Integer getTemperatureRealMatch() {
		return temperatureRealMatch;
	}
	/**
	 * 设置：压力仪表实配 数量（台）
	 */
	public void setPressureShouldMatch(Integer pressureShouldMatch) {
		this.pressureShouldMatch = pressureShouldMatch;
	}
	/**
	 * 获取：压力仪表实配 数量（台）
	 */
	public Integer getPressureShouldMatch() {
		return pressureShouldMatch;
	}
	/**
	 * 设置：压力仪表应配 数量（台）
	 */
	public void setPressureRealMatch(Integer pressureRealMatch) {
		this.pressureRealMatch = pressureRealMatch;
	}
	/**
	 * 获取：压力仪表应配 数量（台）
	 */
	public Integer getPressureRealMatch() {
		return pressureRealMatch;
	}

	public Integer getWeighingApparatusRealMatch() {
		return weighingApparatusRealMatch;
	}

	public void setWeighingApparatusRealMatch(Integer weighingApparatusRealMatch) {
		this.weighingApparatusRealMatch = weighingApparatusRealMatch;
	}
}
